# $Revision: 1.118 $, $Date: 2010/10/05 17:27:58 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library
#
Summary:	High-performance CORBA Object Request Broker
Summary(fr.UTF-8):	Requète d'Objects CORBA
Summary(pl.UTF-8):	Wysoko wydajny CORBA Object Request Broker
Name:		ORBit2
Version:	2.14.19
Release:	1
Epoch:		1
License:	GPL v2+/LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/ORBit2/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	7082d317a9573ab338302243082d10d1
Patch0:		%{name}-pthread.patch
URL:		http://projects.gnome.org/ORBit2/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	flex
BuildRequires:	glib2-devel >= 1:2.14.1
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.8}
BuildRequires:	indent
BuildRequires:	libIDL-devel >= 0.8.10
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.18
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	glib2 >= 1:2.14.1
Requires:	libIDL >= 0.8.10
Provides:	linc = 1.1.1
Obsoletes:	ORBit2-automake
Obsoletes:	libORBit2_0
Obsoletes:	linc
Conflicts:	libbonobo < 2.3.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they're written in or the operating system they run on.

%description -l fr.UTF-8
ORBit est un ORB CORBA avec support pour le language C. Il permet a
des programmes d'envoyer des requètes et recevoir de réponses d'autres
programmes, indépendement de l'endroit ou sont les deux programmes.

%description -l pl.UTF-8
ORBit to wysokiej wydajności CORBA (Common Object Request Broker
Architecture) ORB (object request broker). Pozwala na wysyłanie próśb
i otrzymywanie odpowiedzi od innych programów bez znajomości położenia
tych dwóch programów.

%package apidocs
Summary:	ORBit API documentation
Summary(pl.UTF-8):	Dokumentacja API ORBit
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
ORBit API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API ORBit.

%package devel
Summary:	Header files, and utilities for ORBit
Summary(fr.UTF-8):	Librairies statiques et fichiers entête pour ORBit
Summary(pl.UTF-8):	Pliki nagłówkowe i użytki dla ORBit
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.14.1
Requires:	indent
Requires:	libIDL-devel >= 0.8.10
Provides:	linc-devel = 1.1.1
Obsoletes:	libORBit2_0-devel
Obsoletes:	linc-devel

%description devel
devel ORBit is a high-performance CORBA ORB with support for the C
language. It allows programs to send requests and receive replies from
other programs, regardless of the locations of the two programs.

This package includes the header files and utilities neecessary to
write programs that use CORBA technology.

%description devel -l fr.UTF-8
Librairies statiques et fichiers entête requis pour le development ou
la compilation de programmes utilisant ORBit.

%description devel -l pl.UTF-8
ORBit to wysokiej wydajności CORBA ORB ze wsparciem dla języka C.
Pozwala na wysyłanie próśb i otrzymywanie odpowiedzi od innych
programów bez znajomości położenia tych dwóch programów.

Ten pakiet zawiera pliki nagłówkowe oraz użytki potrzebne do pisania
programów używających technologi CORBA.

%package static
Summary:	Static libraries for ORBit
Summary(pl.UTF-8):	Biblioteki statyczne dla ORBit
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	linc-static = 1.1.1
Obsoletes:	linc-static

%description static
ORBit is a high-performance CORBA ORB with support for the C language.
It allows programs to send requests and receive replies from other
programs, regardless of the locations of the two programs.

This package includes static libraries neecessary to write programs
statically linked that use CORBA technology.

%description static -l pl.UTF-8
ORBit to wysokiej wydajności CORBA ORB ze wsparciem dla języka C.
Pozwala na wysyłanie próśb i otrzymywanie odpowiedzi od innych
programów bez znajomości położenia tych dwóch programów.

Ten pakiet zawiera biblioteki statyczne potrzebne do pisania programów
skonsolidowanych statycznie używających technologii CORBA.

%prep
%setup -q
%patch0 -p1

%if !%{with apidocs}
echo 'EXTRA_DIST=' > gtk-doc.make
echo 'AC_DEFUN([GTK_DOC_CHECK],[])' >> acinclude.m4
%endif

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static} \
	%{?with_apidocs:--enable-gtk-doc}
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

# no static module - shut up check-files
rm -f $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/Everything_module.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/ior-decode-2
%attr(755,root,root) %{_bindir}/linc-cleanup-sockets
%attr(755,root,root) %{_bindir}/orbit-idl-2
%attr(755,root,root) %{_bindir}/typelib-dump
%attr(755,root,root) %{_libdir}/libORBit-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libORBit-2.so.0
%attr(755,root,root) %{_libdir}/libORBit-imodule-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libORBit-imodule-2.so.0
%attr(755,root,root) %{_libdir}/libORBitCosNaming-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libORBitCosNaming-2.so.0
%dir %{_libdir}/orbit-2.0
%attr(755,root,root) %{_libdir}/orbit-2.0/Everything_module.so
%{_datadir}/idl/orbit-2.0

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/orbit2-config
%attr(755,root,root) %{_libdir}/libORBit-2.so
%attr(755,root,root) %{_libdir}/libORBit-imodule-2.so
%attr(755,root,root) %{_libdir}/libORBitCosNaming-2.so
%{_libdir}/libORBit-2.la
%{_libdir}/libORBit-imodule-2.la
%{_libdir}/libORBitCosNaming-2.la
%{_libdir}/libname-server-2.a
%{_includedir}/orbit-2.0
%{_pkgconfigdir}/ORBit-2.0.pc
%{_pkgconfigdir}/ORBit-CosNaming-2.0.pc
%{_pkgconfigdir}/ORBit-idl-2.0.pc
%{_pkgconfigdir}/ORBit-imodule-2.0.pc
%{_aclocaldir}/ORBit2.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libORBit-2.a
%{_libdir}/libORBit-imodule-2.a
%{_libdir}/libORBitCosNaming-2.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ORBit2.spec,v $
Revision 1.118  2010/10/05 17:27:58  qboosh
- updated pkgconfig BR

Revision 1.117  2010/09/30 17:02:15  megabajt
- updated to 2.14.19

Revision 1.116  2010/03/31 20:15:11  qboosh
- updated to 2.14.18

Revision 1.115  2009/11/28 22:41:58  sparky
- BR: docbook-dtd412-xml

Revision 1.114  2009/03/06 20:53:59  megabajt
- updated to 2.14.17

Revision 1.113  2008/09/25 16:34:45  megabajt
- updated to 2.14.16

Revision 1.112  2008/09/19 13:54:17  megabajt
- updated to 2.14.15

Revision 1.111  2008/09/14 11:42:24  charles
- without apidocs and static_libs bconds

Revision 1.110  2008/08/19 13:41:09  patrys
- 2.14.14

Revision 1.109  2008-06-04 00:28:33  patrys
- 2.14.13
- dont use --enable-http as advised by authors

Revision 1.108  2008-02-01 21:28:45  megabajt
- updated to 2.14.12
- more verbose files

Revision 1.107  2007-10-15 15:27:33  megabajt
- updated to 2.14.10

Revision 1.106  2007/09/19 20:48:11  qboosh
- more verbose files

Revision 1.105  2007/09/17 14:08:58  megabajt
- updated to 2.14.9

Revision 1.104  2007/07/26 21:19:35  megabajt
- updated to 2.14.8

Revision 1.103  2007/02/27 15:37:12  megabajt
- updated to 2.14.7

Revision 1.102  2007/02/16 23:35:24  megabajt
- updated to 2.14.6
- make -jN hangs build

Revision 1.101  2007/02/12 21:23:44  glen
- tabs in preamble

Revision 1.100  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.99  2007/01/25 08:29:43  megabajt
- up to 2.14.5

Revision 1.98  2007/01/14 00:33:24  megabajt
- added apidocs subpackage
- release 2

Revision 1.97  2006/12/21 00:18:19  qboosh
- updated to 2.14.4

Revision 1.96  2006/11/20 17:20:09  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.95  2006/09/06 06:10:42  qboosh
- working URL

Revision 1.94  2006/09/04 16:45:31  grzegol
- 2.14.3

Revision 1.93  2006/07/24 18:03:56  freetz
- 2.14.2, popt is not used anymore

Revision 1.92  2006/07/24 17:53:16  freetz
- 2.14.1

Revision 1.91  2006/07/10 20:43:51  freetz
- --as-needed support, updated deps

Revision 1.90  2006/06/07 13:05:32  freetz
- rel.2

Revision 1.89  2006/03/31 16:37:40  freetz
- merged from DEVEL, changelog cut

Revision 1.84.2.3  2006/03/14 15:28:56  freetz
- 2.14.0

Revision 1.84.2.2  2006/02/06 16:49:32  freetz
- 2.13.3

Revision 1.84.2.1  2006/01/18 17:16:29  freetz
- 2.13.2
